"""
Created on 03.10.2011

@author: christian
"""
from django.conf.urls import *  # @UnusedWildImport

from . import views


urlpatterns = patterns(
    '',
    url('', include('social.apps.django_app.urls', namespace='social')),
    url('', include('django.contrib.auth.urls')),
    url(r'^register/$',
        views.RegisterForm.as_view(),
        name="membership-register"),
    url(r'^activate/(?P<activation_key>[\d\w]+)/$',
        views.ActivateRegistration.as_view(),
        name='membership-activate-registration'),
    url(r'^activation_sent/$',
        views.ActivationSent.as_view(),
        name="membership-registration-complete"),
    url(r'^(?P<username>[\-\.\d\w]+)/$', views.MembershipDetail.as_view(), name='membership-details'),
    url(r'^(?P<username>[\-\.\d\w]+)/edit/$', views.EditMembership.as_view(), name="membership-edit")
)